//scrollToTopComponent
import Taro, { Component } from '@tarojs/taro'
import { View, Text } from '@tarojs/components'
import { AtIcon } from 'taro-ui'


import './scrollToTopComponent.scss'




class ScrollToTopComponent extends Component {
    config = {
        navigationBarTitleText: '顶部'
    }

    scrollToTop() {
        Taro.pageScrollTo({
            scrollTop: 0,
            duration: 300
        })
    }

    onPageScroll(location) {
       console.log(location)
      }


    componentDidMount() {

    }
    componentWillReceiveProps(nextProps) {
        // console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        return (
            <View className='scrollToTopComponent' onClick={this.scrollToTop.bind(this)}>
                <View className='box'>
                    <AtIcon value='chevron-up' size='20' color='#3F536E'></AtIcon>
                    <View>顶部</View>

                </View>

            </View>
        )
    }
}

export default ScrollToTopComponent
